Create Reply

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API adds a reply to an existing comment on a file.

Endpoints

OAuth Scope

WorkDrive.comments.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/comments \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"resource_id":"ly9zm850678101cec4b0698777ab4534a3002","comment_html":"Fine","parent_comment_id":"ly9zm850678101cec4b0698777ab4534a3002-2774428000000002063"},"type":"comments"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
resource_idstring(Required)

The unique ID of the file.

comment_htmlstring(Required)

The comment to be added within the file.

parent_comment_idstring(Required)

The unique ID of the comment to which the reply needs to be added.

typestring(Required)

The JSON:API resource type. Always "comments".

Allowed Values :
Show Values
commentsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
        "comment_html": "Fine",
        "parent_comment_id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002063"
      },
      "type": "comments"
    }
  }
                
Show full

Response Example

U010

C002

C002

R008

U043

A001

R017

R017

F7003

F000

C005

C004

I029

201
201
400
401
500
Copied!
  {
    "data": {
      "id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
      "type": "comments",
      "attributes": {
        "commented_by": "Zylker Creation",
        "created_time": "Apr 13, 1:24 PM",
        "capabilities": {
          "can_delete_comment": true,
          "can_edit_comment": true,
          "can_replyto_comment": true,
          "can_resolve_comment": true
        },
        "commented_email_id": "zylker@zylker.com",
        "modified_email_id": "zylker@zylker.com",
        "comment_html": "Fine",
        "version": "1.0",
        "modified_time": "Apr 13, 1:24 PM",
        "commented_by_zuid": 747938014,
        "modified_by_zuid": 747938014,
        "modified_by": "Zylker Creation",
        "contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
        "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
        "created_time_in_millis": 1618300488998,
        "modified_time_in_millis": 1618300488998,
        "parent_comment_id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002063",
        "top_version": true,
        "resolved": false
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "U010",
        "title": "User not a part of this zsoid"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C002",
        "title": "Users cannot add comments on a checked-out file"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U043",
        "title": "Invalid ZUID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Invalid action type passed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R017",
        "title": "Current plan does not support to perform this API"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C005",
        "title": "Comment has restricted mentions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C004",
        "title": "Comment has unauthorized mentions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I029",
        "title": "Requested resource not available in installed team"
      }
    ]
  }
                
Show full